import hiro.yoshioka.ast.sql.RowColumn;
import hiro.yoshioka.ast.sql.util.ASTAssist;
import hiro.yoshioka.ast.sql.util.ASTFormatingInfo;
import hiro.yoshioka.ast.sql.util.ASTProposalableAssist;
import hiro.yoshioka.ast.sql.util.ProposalParserFactory;
import hiro.yoshioka.ast.sql.util.WolfProposalParserFactory;
import hiro.yoshioka.sql.resource.DBRoot;
import hiro.yoshioka.sql.resource.IDBColumn;
import hiro.yoshioka.sql.resource.IDBResource;
import hiro.yoshioka.sql.resource.IDBTable;

import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.eclipse.jface.text.contentassist.CompletionProposal;

public class TypoTester extends TestAbsAssistTester {

	public void testFrom000() {
		ProposalParserFactory ff = new WolfProposalParserFactory();

		DBRoot root = MockGenerator.generateDBRoot();
		fUtil = ff.createParserUtil("trancate table hoge", root);
		System.out.println("parse=" + fUtil.parse());
		System.out.println("parse=" + fUtil.getAllErrorTokens());
		fUtil.dumpNodes();
		System.out.println("==================================");
	}

}